Patch account details by Client Id
curl --request PUT \
--url https://api.vop-sandbox.finventi.com/v1/accounts/client/{clientId} \
--header 'Content-Type: application/json' \
--data '
{
"account_holder_names": [
"Bob Smith"
],
"aliases": [
"HGRP"
],
"organisation_identification": {
"bic": "DEUTDEFFXXX",
"lei": "5493001KJTIIGC8Y1R12"
}
}
'import requests
url = "https://api.vop-sandbox.finventi.com/v1/accounts/client/{clientId}"
payload = {
"account_holder_names": ["Bob Smith"],
"aliases": ["HGRP"],
"organisation_identification": {
"bic": "DEUTDEFFXXX",
"lei": "5493001KJTIIGC8Y1R12"
}
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
account_holder_names: ['Bob Smith'],
aliases: ['HGRP'],
organisation_identification: {bic: 'DEUTDEFFXXX', lei: '5493001KJTIIGC8Y1R12'}
})
};
fetch('https://api.vop-sandbox.finventi.com/v1/accounts/client/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accounts": [
{
"account_holder_names": [
"Alice Johnson"
],
"aliases": [
"HGRP"
],
"iban": "LT121000011101001000",
"client_id": "client-12345",
"organisation_identification": {
"bic": "DEUTDEFFXXX",
"lei": "5493001KJTIIGC8Y1R12",
"other": {
"identification": "123-ABC-XYZ",
"issuer": "ChamberOfCommerce",
"scheme_name_code": "VAT",
"scheme_name_proprietary": "LocalRegistry"
}
}
}
]
}{
"detail": "<string>",
"instance": "<string>",
"parameters": {},
"status": {
"reasonPhrase": "<string>",
"statusCode": 123
},
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"parameters": {},
"status": {
"reasonPhrase": "<string>",
"statusCode": 123
},
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"parameters": {},
"status": {
"reasonPhrase": "<string>",
"statusCode": 123
},
"title": "<string>",
"type": "<string>"
}Account Management
Patch account details by Client ID
Updates account holder name or legal entity information for the specified client ID.
PUT
/
v1
/
accounts
/
client
/
{clientId}
Patch account details by Client Id
Path Parameters
Client identifier of the account to update
Body
application/json
Fields to update for the account
New account holder name. Optional; if provided must not be blank.
Minimum array length:
1New account holder name. Optional; if provided must not be blank.
Example:
["Bob Smith"]
Optional alternative names or identifiers to improve matching (e.g., acronyms, short forms like "IBM" for "International Business Machines")
Optional alternative names or identifiers to improve matching (e.g., acronyms, short forms like "IBM" for "International Business Machines")
Example:
["HGRP"]
Legal-entity identifiers for the IBAN owner.
Show child attributes
Show child attributes
Response
The list of accounts that were updated
Show child attributes
Show child attributes
Last modified on September 26, 2025
⌘I